al_load_bitmap(3)

NAME

al_load_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_BITMAP *al_load_bitmap(const char *filename)

DESCRIPTION

Loads an image file into a new ALLEGRO_BITMAP(3). The file type is determined by the extension, except if the file has no extension in which case al_identify_bitmap(3) is used instead.

Returns NULL on error.

This is the same as calling al_load_bitmap_flags(3) with a flags parameter of 0.

    Note: the core Allegro library does not support any image file formats by default. You must use the allegro_image addon, or register your own format handler.

SEE ALSO

al_load_bitmap_flags(3), al_load_bitmap_f(3), al_register_bitmap_loader(3), al_set_new_bitmap_format(3), al_set_new_bitmap_flags(3), al_init_image_addon(3)